summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-07-12 18:52:15 +0000
committer Eric Hameleers <alien@slackware.com>2019-07-13 08:59:47 +0200
commit424ebe6bb56b8c6aca51f472910c5401ce210aa2 (patch)
treef9bf22ddd9ba89ec1166498e56a7f5e741c46980 /source
parent61ca076d7dd5bad5ceeaf9cb3fccd6d7f0db84ec (diff)
downloadcurrent-424ebe6bb56b8c6aca51f472910c5401ce210aa2.tar.gz
current-424ebe6bb56b8c6aca51f472910c5401ce210aa2.tar.xz
Fri Jul 12 18:52:15 UTC 201920190712185215
a/kernel-firmware-20190712_d52556e-noarch-1.txz: Upgraded. l/M2Crypto-0.35.2-x86_64-2.txz: Rebuilt. Upgraded to typing-3.7.4. l/pycurl-7.43.0.3-x86_64-1.txz: Upgraded. tcl/tclx-8.4.2-x86_64-1.txz: Upgraded. x/xauth-1.1-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rw-r--r--source/installer/ChangeLog.txt4
-rwxr-xr-xsource/installer/build_installer.sh1
-rwxr-xr-xsource/l/M2Crypto/M2Crypto.SlackBuild12
-rwxr-xr-xsource/l/pycurl/pycurl.SlackBuild8
-rw-r--r--source/l/pycurl/pycurl.url1
-rwxr-xr-xsource/n/samba/samba.SlackBuild6
-rwxr-xr-xsource/tcl/tclx/tclx.SlackBuild22
-rw-r--r--source/tcl/tclx/tclx.url1
-rw-r--r--source/x/x11/build/xauth2
9 files changed, 34 insertions, 23 deletions
diff --git a/source/installer/ChangeLog.txt b/source/installer/ChangeLog.txt
index 3f47f5ec7..c3a78b07a 100644
--- a/source/installer/ChangeLog.txt
+++ b/source/installer/ChangeLog.txt
@@ -1,3 +1,7 @@
+Fri Jul 12 18:42:02 UTC 2019
+ build-installer.sh: Add cqhci.ko kernel module.
+ Thanks to Pomme Raccoon.
++--------------------------+
Wed Jul 10 22:33:27 UTC 2019
/sbin/reboot: shell script to call the real reboot with "reboot -f" to
prevent a reboot hang after installation.
diff --git a/source/installer/build_installer.sh b/source/installer/build_installer.sh
index 2b0cf1d08..dcdc20382 100755
--- a/source/installer/build_installer.sh
+++ b/source/installer/build_installer.sh
@@ -1504,6 +1504,7 @@ for ind in $(seq 0 $((${#KERNELS[*]} -1)) ); do
mv mmc/host.orig/sdhci.ko mmc/host
mv mmc/host.orig/sdhci-acpi.ko mmc/host
mv mmc/host.orig/sdhci-pci.ko mmc/host
+ mv mmc/host.orig/cqhci.ko mmc/host
rm -rf${VERBOSE1} mmc/host.orig
cd usb/
diff --git a/source/l/M2Crypto/M2Crypto.SlackBuild b/source/l/M2Crypto/M2Crypto.SlackBuild
index dadb99276..6c53638a0 100755
--- a/source/l/M2Crypto/M2Crypto.SlackBuild
+++ b/source/l/M2Crypto/M2Crypto.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=M2Crypto
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,9 +70,9 @@ cp -a \
# Embed required dep typing module:
cd $TMP
-rm -rf typing-3.6.6
-tar xvf $CWD/typing-3.6.6.tar.xz || exit 1
-cd typing-3.6.6 || exit 1
+rm -rf typing-3.7.4
+tar xvf $CWD/typing-3.7.4.tar.xz || exit 1
+cd typing-3.7.4 || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -80,10 +80,10 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
python setup.py install --root=$PKG || exit 1
-mkdir -p $PKG/usr/doc/typing-3.6.6
+mkdir -p $PKG/usr/doc/typing-3.7.4
cp -a \
CHANGES INSTALL* LICENCE* PKG-INFO README* doc/* \
- $PKG/usr/doc/typing-3.6.6
+ $PKG/usr/doc/typing-3.7.4
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
diff --git a/source/l/pycurl/pycurl.SlackBuild b/source/l/pycurl/pycurl.SlackBuild
index 67d79c8db..ff8b88e6d 100755
--- a/source/l/pycurl/pycurl.SlackBuild
+++ b/source/l/pycurl/pycurl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2012, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pycurl
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -62,8 +62,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-python setup.py --with-ssl install --root=$PKG || exit 1
-python3 setup.py --with-ssl install --root=$PKG || exit 1
+python setup.py --with-openssl install --root=$PKG || exit 1
+python3 setup.py --with-openssl install --root=$PKG || exit 1
find $PKG | xargs file | grep -e "shared object" -e "executable" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/pycurl/pycurl.url b/source/l/pycurl/pycurl.url
new file mode 100644
index 000000000..52db3a348
--- /dev/null
+++ b/source/l/pycurl/pycurl.url
@@ -0,0 +1 @@
+https://pypi.python.org/pypi/
diff --git a/source/n/samba/samba.SlackBuild b/source/n/samba/samba.SlackBuild
index 9ec224b10..8dcdef865 100755
--- a/source/n/samba/samba.SlackBuild
+++ b/source/n/samba/samba.SlackBuild
@@ -162,7 +162,11 @@ mkdir -p \
chmod 700 $PKG/var/lib/samba/private
chmod 1777 $PKG/var/spool/samba
-make install DESTDIR=$PKG || exit 1
+# Again, use waf directly to allow multithreading:
+#make install DESTDIR=$PKG || exit 1
+DESTDIR=$PKG
+export DESTDIR
+${PYTHON:=python3} $WAF install "$@" || exit 1
# Install the smbprint script:
install -m0744 packaging/printing/smbprint $PKG/usr/bin/smbprint
diff --git a/source/tcl/tclx/tclx.SlackBuild b/source/tcl/tclx/tclx.SlackBuild
index d3580c027..e37dc909a 100755
--- a/source/tcl/tclx/tclx.SlackBuild
+++ b/source/tcl/tclx/tclx.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2013, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tclx
-VERSION=${VERSION:-8.4.1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
-BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -62,9 +63,9 @@ elif [ "$ARCH" = "x86_64" ]; then
fi
cd $TMP
-rm -rf ${PKGNAM}8.?
-tar xvf $CWD/${PKGNAM}$VERSION.tar.xz || exit 1
-cd ${PKGNAM}8.4 || exit 1
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-${VERSION} || exit 1
#zcat $CWD/tclx-8.4.configure.diff.gz | patch -p1 --verbose || exit 1
#zcat $CWD/tclx-8.4.gcc4.diff.gz | patch -p1 --verbose || exit 1
@@ -83,8 +84,8 @@ CPPFLAGS="-DUSE_INTERP_RESULT" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
--with-tcl=/usr/lib${LIBDIRSUFFIX} \
- --enable-tk=YES \
--enable-shared \
--enable-threads \
--enable-64bit \
@@ -95,8 +96,8 @@ make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
( cd $PKG/usr/lib${LIBDIRSUFFIX}
- ln -sf tclx8.4/libtclx8.4.so .
- ln -sf libtclx8.4.so libtclx.so
+ ln -sf tclx8.6/libtclx8.6.so .
+ ln -sf libtclx8.6.so libtclx.so
)
# Strip binaries:
@@ -121,7 +122,7 @@ fi
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
- ChangeLog README license.terms \
+ ChangeLog README* license.terms \
$PKG/usr/doc/${PKGNAM}-$VERSION
mkdir -p $PKG/install
@@ -130,4 +131,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/tcl/tclx/tclx.url b/source/tcl/tclx/tclx.url
new file mode 100644
index 000000000..d4e3ac5b4
--- /dev/null
+++ b/source/tcl/tclx/tclx.url
@@ -0,0 +1 @@
+https://github.com/flightaware/tclx
diff --git a/source/x/x11/build/xauth b/source/x/x11/build/xauth
index 00750edc0..d00491fd7 100644
--- a/source/x/x11/build/xauth
+++ b/source/x/x11/build/xauth
@@ -1 +1 @@
-3
+1